<?php

namespace engine;

class ModelSpec
{
    public function __construct(
        /** @var ModelProperty */
        protected array $properties,
        protected array $dbNameMap
    ) {}

    /**
     * @return array
     */
    public function getProperties(): array {
        return $this->properties;
    }

    public function getDbNameMap(): array {
        return $this->dbNameMap;
    }

    public function getPropNames(): array {
        return array_keys($this->dbNameMap);
    }
}